#!/usr/local/bin/php -q
<?
  include("i10.php");

  // Define login variables
  $host = "192.168.12.77";
  $user = "admin";
  $pass = "admin";

  // Create new I10 class
  $i10 = new i10($host, 1100, $user, $pass);

  // Open I10 connection
  $i10->connect();

  // Read all I/O states
  if($i10->read_io() < 0)
    die("Error occured: ".$i10->errstr." (".$i10->errno.")\n");

  // Dump I/O array
  var_dump($i10->io);

  // Invert state of output 0
  if($i10->set_output(0, ! $i10->io[0][state]) < 0)
    die("Error occured: ".$i10->errstr." (".$i10->errno.")\n");

  // Close I10 connection
  $i10->close();

  exit;
?>
